Skip to main content
Web Services

Re-print an invoice

Re-print an invoice.

POST
/web-services/fm/billing/reprint

This method requires the WebServices permission to be associated with your role.

This API invokes the legacy fm::billing::reprint web service. Note, this endpoint will be deprecated once a full service replacement has been developed.

This service returns an invoice pdf.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

application/x-www-form-urlencoded
invoice_nostringrequired

Invoice No

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Response

application/octet-stream

Success - octet-stream of the invoice will be returned

bodystring